DH_INSTALLEXAMPLES(1)

NOM
dh_installexamples – Installer les fichiers d'exemples dans les répertoires de construction du paquet

SYNOPSIS
dh_installexamples [options_de_debhelper] [-A] [-Xélément] [fichier ...]

DESCRIPTION
dh_installexamples est le programme de la suite debhelper chargé de l'installation des exemples, dans les répertoires de construction du paquet, sous usr/share/doc/package/examples.

Depuis la version 11 de debhelper, dh_install cherchera dans l'arborescence debian/tmp pour trouver les fichiers s'il ne les trouve pas dans le répertoire courant (ou dans celui indiqué par l'utilisation de --sourcedir).

FICHIERS

debian/paquet.examples
    Liste les fichiers ou les répertoires d'exemples à installer.

    Si l'amont fournit un répertoire d'exemples, vous préférerez souvent utiliser exemples/* plutôt que exemples dans ce fichier. Ce dernier créerait /usr/share/doc/paquet/exemples/exemples ce qui est rarement ce que vous voulez.

    Les variables de substitution sont prises en charge dans les niveaux de compatibilité 13 et ultérieurs comme documenté dans debhelper(7).

OPTIONS

-A, --all
    Installe l'ensemble des fichiers indiqués sur la ligne de commande dans tous les paquets construits.

--sourcedir=répertoire
    Cherche dans le répertoire indiqué les fichiers à installer. Cette option nécessite le niveau de compatibilité 11 ou supérieur (et sera silencieusement ignorée en version 10 et avant).

    Nota : cette option ne fait pas la même chose que --sourcedirectory utilisée par dh_auto_*. Il est rare d'avoir besoin d'utiliser cette option puisque dh_installexamples cherche automatiquement les fichiers dans debian/tmp depuis la version 11 de debhelper.

--doc-main-package=paquet-principal
    Définit le paquet principal pour un paquet de documentation. Cela est utilisé pour installer la documentation du paquet de documentation dans /usr/share/doc/paquet-principal comme recommandé par la Charte Debian 3.9.7 au paragraphe 12.3.

    Dans les niveaux de compatibilité 11 ou suivants, cette option n'est utile que si l'auto-détection du paquet principal de debhelper est erronée. Cette option peut aussi être utilisée pour masquer un avertissement de debhelper lorsque l'auto-détection échoue mais que le comportement par défaut est correct.

    Cette option ne peut pas être utilisée lorsque dh_installexamples doit agir sur plusieurs paquets. Si vous avez besoin de cette option, vous devrez généralement l'associer à -p pour vous assurer de n'agir que sur un paquet.

    The X-Doc-Main-Package field can be used instead since debhelper/13.28. It has similar semantics but does not require command line options.

-Xélément, --exclude=élément
    Exclut du traitement les fichiers qui comportent élément n'importe où dans leur nom.

fichier ...
    Installe ces fichiers (ou répertoires) en tant qu'exemples dans le premier paquet construit (ou dans tous les paquets si -A est indiqué).

REMARQUES
Nota : Heureusement, dh_installexamples sait copier des hiérarchies entières de répertoire (comme un cp -a). Si on lui demande d'installer un répertoire, il installera le contenu complet du répertoire.

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».